Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class Set

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.AbstractProcess
              org.basex.core.proc.Proc
                  org.basex.core.proc.Set

    public final class Set

extends Proc

Evaluates the 'set' command. Sets internal processing options.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static java.lang.String` | `ATTRINDEX` Set option.
`static java.lang.String` | `CHOP` Set option.
`static java.lang.String` | `DBPATH` Set option.
`static java.lang.String` | `DEBUG` Set option.
`static java.lang.String` | `ENTITY` Set option.
`static java.lang.String` | `FTINDEX` Set option.
`static java.lang.String` | `INFO` Set option.
`static java.lang.String` | `MAINMEM` Set option.
`static java.lang.String` | `RUNS` Set option.
`static java.lang.String` | `SERIALIZE` Set option.
`static java.lang.String` | `TXTINDEX` Set option.
`static java.lang.String` | `WORDINDEX` Set option.
`static java.lang.String` | `XMLOUTPUT` Set option.

Fields inherited from class org.basex.core.AbstractProcess
`cmd`

Constructor Summary
`Set()`

Method Summary

Methods inherited from class org.basex.core.proc.Proc
`det, execute, execute, get, head, info, info, output, output, prog, result, toString`

Methods inherited from class org.basex.core.Progress
`detail, header, progress, progress, stop, stopped`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRINDEX

    public static final java.lang.String ATTRINDEX

  Set option.

  See Also:
    Constant Field Values

### CHOP

    public static final java.lang.String CHOP

  Set option.

  See Also:
    Constant Field Values

### DBPATH

    public static final java.lang.String DBPATH

  Set option.

  See Also:
    Constant Field Values

### DEBUG

    public static final java.lang.String DEBUG

  Set option.

  See Also:
    Constant Field Values

### ENTITY

    public static final java.lang.String ENTITY

  Set option.

  See Also:
    Constant Field Values

### FTINDEX

    public static final java.lang.String FTINDEX

  Set option.

  See Also:
    Constant Field Values

### INFO

    public static final java.lang.String INFO

  Set option.

  See Also:
    Constant Field Values

### MAINMEM

    public static final java.lang.String MAINMEM

  Set option.

  See Also:
    Constant Field Values

### RUNS

    public static final java.lang.String RUNS

  Set option.

  See Also:
    Constant Field Values

### SERIALIZE

    public static final java.lang.String SERIALIZE

  Set option.

  See Also:
    Constant Field Values

### TXTINDEX

    public static final java.lang.String TXTINDEX

  Set option.

  See Also:
    Constant Field Values

### WORDINDEX

    public static final java.lang.String WORDINDEX

  Set option.

  See Also:
    Constant Field Values

### XMLOUTPUT

    public static final java.lang.String XMLOUTPUT

  Set option.

  See Also:
    Constant Field Values

Constructor Detail

### Set

    public Set()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD